iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Class Methods | Properties | List of all members
MAGroundOverlay Class Reference

`#import <MAGroundOverlay.h>`

Inheritance diagram for MAGroundOverlay:

## Instance Methods
(CGFloat alpha) | - __attribute
(BOOL) | - setGroundOverlayWithBounds:icon:
| 更新GroundOverlay. since 5.0.0 Update GroundOverlay. since 5.0.0 More...
(BOOL) | - setGroundOverlayWithCoordinate:zoomLevel:icon:
| 更新GroundOverlay, 内部会自动计算覆盖物大小，以满足zoomLevel下显示大小为icon大小. since 5.0.0 Update GroundOverlay, the system will automatically calculate the overlay size to ensure the display size matches the icon size at the zoomLevel. since 5.0.0 More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Class Methods
(instancetype) | + groundOverlayWithBounds:icon:
| 根据bounds值和icon生成GroundOverlay Generate GroundOverlay based on bounds and icon More...
(instancetype) | + groundOverlayWithCoordinate:zoomLevel:icon:
| 根据coordinate,icon,zoomLevel生成GroundOverlay Generate GroundOverlay based on coordinate, icon, and zoomLevel More...

## Properties
UIImage * | icon
CGFloat | zoomLevel
MACoordinateBounds | bounds
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

该类用于确定覆盖在地图上的图片，及其覆盖区域, 通常MAGroundOverlay是MAGroundOverlayRenderer的model This class is used to determine the images overlaid on the map and their coverage areas. Typically, MAGroundOverlay is the model of MAGroundOverlayRenderer.

## Method Documentation

## ◆ __attribute

- (CGFloat alpha) __attribute |  | ((deprecated("Deprecated, since 7.7.0, please use alpha in MAGroundOverlayRenderer"))) |  |

透明度. 最终透明度 = 纹理透明度 * alpha. 有效范围为[0.f, 1.f], 默认为1.f Transparency. Final transparency = texture transparency * alpha. Valid range is [0.f, 1.f], default is 1.f

## ◆ groundOverlayWithBounds:icon:

+ (instancetype) groundOverlayWithBounds: |  | (MACoordinateBounds) | bounds
icon: |  | (UIImage *) | icon

根据bounds值和icon生成GroundOverlay Generate GroundOverlay based on bounds and icon

Parameters

  bounds | 图片的在地图的覆盖范围 Image coverage area on the map
  icon | 覆盖图片 Overlay image

Returns
  以bounds和icon 新生成GroundOverlay Create a new GroundOverlay with bounds and icon

## ◆ groundOverlayWithCoordinate:zoomLevel:icon:

+ (instancetype) groundOverlayWithCoordinate: |  | (CLLocationCoordinate2D) | coordinate
zoomLevel: |  | (CGFloat) | zoomLevel
icon: |  | (UIImage *) | icon

根据coordinate,icon,zoomLevel生成GroundOverlay Generate GroundOverlay based on coordinate, icon, and zoomLevel

Parameters

  coordinate | 图片的在地图上的中心点 The center point of the image on the map
  zoomLevel | 图片在地图尺寸等同于像素的zoom值 The zoom value where the image size on the map equals its pixel dimensions
  icon | 覆盖图片 Overlay image

Returns
  以coordinate,icon,zoomLevel 新生成GroundOverlay Create a new GroundOverlay with coordinate, icon, zoomLevel

## ◆ setGroundOverlayWithBounds:icon:

- (BOOL) setGroundOverlayWithBounds: |  | (MACoordinateBounds) | bounds
icon: |  | (UIImage *) | icon

更新GroundOverlay. since 5.0.0 Update GroundOverlay. since 5.0.0

Parameters

  bounds | 图片的在地图的覆盖范围 Image coverage on the map
  icon | 覆盖图片 Overlay image

Returns
  返回是否成功 Return success status

## ◆ setGroundOverlayWithCoordinate:zoomLevel:icon:

- (BOOL) setGroundOverlayWithCoordinate: |  | (CLLocationCoordinate2D) | coordinate
zoomLevel: |  | (CGFloat) | zoomLevel
icon: |  | (UIImage *) | icon

更新GroundOverlay, 内部会自动计算覆盖物大小，以满足zoomLevel下显示大小为icon大小. since 5.0.0 Update GroundOverlay, the system will automatically calculate the overlay size to ensure the display size matches the icon size at the zoomLevel. since 5.0.0

Parameters

  coordinate | 图片在地图上的中心点 The center point of the image on the map
  zoomLevel | 图片在地图尺寸等同于像素的zoom值 The zoom value where the image size on the map equals its pixel dimensions
  icon | 覆盖图片 Overlay image

Returns
  返回是否成功 Return success status

## Property Documentation

## ◆ bounds

- (MACoordinateBounds) bounds
| read nonatomic assign

图片在地图中的覆盖范围 Image coverage area on the map

## ◆ icon

- (UIImage*) icon
| read nonatomic assign

绘制在地图上的覆盖图片 Overlay image drawn on the map

## ◆ zoomLevel

- (CGFloat) zoomLevel
| read nonatomic assign

覆盖图片在地图尺寸等同于其像素的zoom值 The zoom level at which the overlay image's size on the map equals its pixel dimensions.

The documentation for this class was generated from the following file:

- MAGroundOverlay.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。